MantisBT 2.2.0 直接调用百度编辑器报错的问题解决

  • 2017年3月5日
  • 414
  • A+
所属分类:前端技术
摘要

目前在使用MantisBT 2.2.0 开发一个系统,由于需要集成百度编辑器,但是按照以前的开发方式,直接调用百度编辑器,会发现报错。

目前在使用MantisBT 2.2.0 开发一个系统,由于需要集成百度编辑器,但是按照以前的开发方式,直接调用百度编辑器,会发现报错:

MantisBT 2.2.0  直接调用百度编辑器报错的问题解决

对于这个错误,主要是一些安全的防备,但是我们是内部系统,该错误可以初步忽略掉,因此暂时采用了比较生硬的解决方案:

找到core\http_api.php文件,找到 http_security_headers 函数,将

 

http_csp_add( 'default-src', "'self'" );

http_csp_add( 'script-src', "'self'" );

 

注释掉,即可。

 

MantisBT 2.2.0  直接调用百度编辑器报错的问题解决

 

不知道高手是否还有更好的解决方案

 

  • 我的微信
  • 这是我的微信扫一扫
  • weinxin
  • 我的微信公众号
  • 我的微信公众号扫一扫
  • weinxin
所谓世界,是指活着的人们。

发表评论

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: